使用隔离钱包签名消息
curl --request POST \
--url https://api.qbank.cl/platform/v1/segregated-wallets/{walletID}/signatures \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"purpose": "wallet_ownership",
"statement": "I control this wallet"
}
'import requests
url = "https://api.qbank.cl/platform/v1/segregated-wallets/{walletID}/signatures"
payload = {
"purpose": "wallet_ownership",
"statement": "I control this wallet"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({purpose: 'wallet_ownership', statement: 'I control this wallet'})
};
fetch('https://api.qbank.cl/platform/v1/segregated-wallets/{walletID}/signatures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"proof": {
"proof_id": "c41d2a88-7f3e-4b21-9c6d-2e8f1a5b7d90",
"account_id": "ae8c1f02-3b45-4c67-9d12-8f0e5a6b7c8d",
"wallet_id": "b7e39c14-2d56-4e78-8a01-3c5d7e9f1b24",
"chain": "eth",
"address": "0x71C7656EC7ab88b098defB751B7401B5f6d8976F",
"purpose": "wallet_ownership",
"statement": "I control this wallet",
"envelope": "CBPay Signature Proof\nDomain: https://api.qbank.cl/platform\nPurpose: wallet_ownership\nWallet: 0x71C7656EC7ab88b098defB751B7401B5f6d8976F\nNonce: 9f2c41d2a887f3e4b219c6d2e8f1a5b7\nIssued: 2026-08-21T14:03:11Z\nExpires: 2026-08-21T14:13:11Z\nStatement: \"I control this wallet\"",
"nonce": "9f2c41d2a887f3e4b219c6d2e8f1a5b7",
"proof_code": "Gc41d2a887f3e4b219c6d2e8f1a5b7d90a1b2c3d4e5f60718293a",
"status": "signed",
"issued_at": "2026-08-21T14:03:11Z",
"expires_at": "2026-08-21T14:13:11Z",
"signed_at": "2026-08-21T14:03:11Z",
"created_at": "2026-08-21T14:03:11Z",
"signature": "8ba1f109551bd432803012645ac136ddd64dba72a0c9e0b1f5b1a2c3d4e5f60718293a4b5c6d7e8f90112233445566778899aabbccddeeff00112233445566771b",
"message_hash": "3f8a1c4e9b2d6f70a5c8e1b4d7f2093a4c6e8f10b3d5f709e2a4c6d8f0b1c3d5",
"verify_url": "https://api.qbank.cl/platform/v1/public/signature-proofs/Gc41d2a887f3e4b219c6d2e8f1a5b7d90a1b2c3d4e5f60718293a"
}
}使用隔离钱包签名消息
使用隔离钱包(custody=cbpay)按照链原生标准(ETH/EVM 为 EIP-191,
TRON 为 TIP-191)在防钓鱼 CBPay Signature Proof 封装内对消息进行签名。
证明将被持久化,并可在 verify_url 公开验证(无需身份验证)。
当账户策略保护 sign_message 操作时,需要 OTP(一次性验证码)。
钱包必须为 custody=cbpay:已导出的钱包(custody=client)无法再签名
(custody_transferred)。
封装有效期为 10 分钟。每次签名都会触发 wallet_signature_created
webhook 事件和一封安全邮件。
特定错误:invalid_purpose、invalid_statement、
custody_transferred、proof_not_signable、sign_rejected、
nonce_failed、core_unavailable。
POST
/
v1
/
segregated-wallets
/
{walletID}
/
signatures
使用隔离钱包签名消息
授权
会话 JWT(来自注册/登录)或 API key(pk_...)。
也接受 X-API-Key: <token> 作为替代请求头。
路径参数
隔离钱包 ID。
请求体
application/json
响应
签名证明已创建并签名。
钱包对结构化 CBPay 消息(EIP-191 ETH/EVM、TIP-191 TRON)签名的加密证明。可通过 verify_url 公开验证。
Show child attributes
Show child attributes
最后修改于 2026年8月22日
⌘I